package com.iformall.mapper;

import com.iformall.common.CommonMapper;
import com.iformall.domain.dto.WxCUserBasicInfoDto;
import com.iformall.domain.po.WxBuser;
import com.iformall.domain.po.WxCUser;
import com.iformall.domain.vo.UserCountVo;

import java.util.List;
import java.util.Map;

/**
 * @author gongbiao
 */
public interface WxBuserMapper extends CommonMapper<WxBuser, Long> {

    List<WxBuser> findList(WxBuser record);

    WxBuser findByOpenId(WxBuser record);

    WxBuser findByUnionId(WxBuser record);

    WxBuser findByToken(String token);

}
